#if !defined(TestHierList_H)
#define TestHierList_H

// TestHierList.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTestHierList window

#if !defined(HIERLB_H)
 #include "hierlb.h"
#endif

class CTestHierList : public CHierListBox
{
private:
	void Initialise();
// Construction
public:
	CTestHierList();

// Attributes
public:

// Operations
public:
	void DeleteSelected();
// Implementation
public:
	virtual ~CTestHierList();
	void DialogInit();
protected:
	virtual BOOL OpenNode( const CHierListNode*, int& );
//	virtual void NodeClosed( const CHierListNode*, int );
	virtual void DrawItemEx( CListBoxExDrawStruct& );

	// implement these to add drag and drop functionality
	// you need to add some support yourself as well.
		
	// virtual void DroppedItemsOnWindowAt( CWnd*, const CPoint& );
	// virtual BOOL CanDrop( CWnd*, const CPoint& );
	
	// Generated message map functions
protected:
	//{{AFX_MSG(CTestHierList)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg LRESULT OnDrop(WPARAM,LPARAM);
	afx_msg LRESULT OnCanDrop(WPARAM,LPARAM);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
#endif // TestHierList_H
