// hierlvw.h : interface of the CHierlistView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(TESTHIER_H)
 #include "testhier.h"
#endif

#if !defined(TESTLIST_H)
 #include "testlist.h"
#endif

class CHierlistView : public CView
{
private:
	CTestHierList m_TestHierList;
	CTestListEx   m_TestListEx;
	CFont* m_pFont;
protected: // create from serialization only
	CHierlistView();
	DECLARE_DYNCREATE(CHierlistView)

// Attributes
public:
	CHierlistDoc* GetDocument();

// Operations
public:

// Implementation
public:
	virtual ~CHierlistView();
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT&);
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif


// Generated message map functions
protected:
	//{{AFX_MSG(CHierlistView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnCloseall();
	afx_msg void OnEnablelines();
	afx_msg void OnUpdateEnablelines(CCmdUI* pCmdUI);
	afx_msg void OnClosesel();
	afx_msg void OnChangefont();
	afx_msg void OnDelitems();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG	// debug version in hierlvw.cpp
inline CHierlistDoc* CHierlistView::GetDocument()
   { return (CHierlistDoc*) m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
