#if !defined(TESTLIST_H)
#define TESTLIST_H

// testlist.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTestListEx window

#if !defined(LSTBOXEX_H)
 #include "lstboxex.h"
#endif

class CTestListEx : public CListBoxEx
{
private:
	HCURSOR hCopy;
	HCURSOR hMove;
private:
	void Initialise();
protected:
	virtual int  CompareItem(LPCOMPAREITEMSTRUCT lpCIS);
protected:
	virtual void DrawItemEx( CListBoxExDrawStruct& );

	virtual void DroppedItemsOnWindowAt( CWnd*, const CPoint&, BOOL bCopy=FALSE );
	virtual BOOL CanDrop( CWnd*, const CPoint&, BOOL bCopy=FALSE );
	
	virtual HCURSOR GetCursor( eLbExCursor ) const;
// Construction
public:
	CTestListEx();

// Attributes
public:

// Operations
public:

// Implementation
public:
	virtual ~CTestListEx();
	virtual void DialogInit();
	
	// Generated message map functions
protected:
	//{{AFX_MSG(CTestListEx)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct); 
	afx_msg LRESULT OnDrop( WPARAM, LPARAM );
	afx_msg LRESULT OnCanDrop( WPARAM, LPARAM );
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif //TESTLIST_H
